Mandrake Linux Security Advisory : libvorbis (MDKSA-2007:167-1)

Medium Nessus Plugin ID 37080


The remote Mandrake Linux host is missing one or more security updates.


David Thiel discovered that libvorbis did not correctly verify the size of certain headers, and did not correctly clean up a broken stream. If a user were tricked into processing a specially crafted Vorbis stream, a remote attacker could possibly cause a denial of service or execute arbitrary code with the user's privileges.

Update :

Due to a packaging problem, the libvorbis development package was not able to be upgraded on Mandriva Linux 2007.1 This has been corrected with this new update.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 37080

File Name: mandrake_MDKSA-2007-167.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2009/04/23

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64vorbis0, p-cpe:/a:mandriva:linux:lib64vorbis0-devel, p-cpe:/a:mandriva:linux:lib64vorbisenc2, p-cpe:/a:mandriva:linux:lib64vorbisfile3, p-cpe:/a:mandriva:linux:libvorbis0, p-cpe:/a:mandriva:linux:libvorbis0-devel, p-cpe:/a:mandriva:linux:libvorbisenc2, p-cpe:/a:mandriva:linux:libvorbisfile3, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/08/20

Reference Information

CVE: CVE-2007-3106, CVE-2007-4029

BID: 25082

MDKSA: 2007:167-1

CWE: 399